Name: vegastrike
Version: 0.4.3
Release: alt6

Summary: A free 3D space fight simulator
Summary(ru_RU.KOI8-R): 3D  
License: GPL
Group: Games/Arcade
URL: http://vegastrike.sourceforge.net
Source0: %name-%version.tar.bz2
Source1: %name-manpages.tar.bz2
Source2: %name-0.4.3-setup.tar.bz2
Source3: %name.sh
Source11: %name-16x16.png
Source12: %name-32x32.png
Source13: %name-48x48.png

Patch1: %name-launcher.patch.bz2
Patch6: %name-vssetup.patch.bz2
Patch7: %name-0.4.3-makefiles.patch
Patch8: %name-0.4.3-char.patch
#Patch10: %name-0.4.1-posh.patch.bz2
Patch11: %name-0.4.3-vssetup.patch
Patch12: vegastrike-0.4.2-debian-posh.patch
Patch13: %name-0.4.3-alt-gcc41-extra_qualification.patch
Patch14: %name-0.4.3-alt-gcc41-navscreen.patch
Patch15: %name-0.4.3-alt-vsimage.patch
Patch16: %name-0.4.3-alt-objconv_makefiles.patch
Patch17: %name-0.4.3-alt-x86_64-fixes.patch
Patch18: %name-0.4.3-alt-ac26-configure.patch
Patch19: %name-0.4.3-alt-boost-python25.patch

Requires: %name-data

# Automatically added by buildreq on Thu Jul 19 2007
BuildRequires: gcc-c++ gtk+-devel libglut-devel libjpeg-devel libmesa-devel libpng-devel libSDL-devel libSDL_mixer-devel libvorbis-devel python-dev

Packager: Egor Vyscrebentsov <evyscr@altlinux.ru>

Provides: /usr/games/vssetup

%description
Vega Strike is a GPL 3d OpenGL Action RPG space sim for
Windows/Linux that allows a player to trade and bounty hunt
in the spirit of Elite. You start in an old beat up Wayfarer
cargo ship, with endless possibility before you and just
enough cash to scrape together a life. Yet danger lurks in
the space beyond.

%prep
%setup -q -a1 -n %name

tar -xjf %SOURCE2 -C %_builddir/%name

%patch1 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
#patch10 -p1
%patch11 -p0
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1

sed -i "s|PYTHON_binchk=\"[^\"]*|& python2.4 python2.5|" configure.in
sed -i "s|PYTHON_libchk=\"[^\"]*|& %_libdir|" configure.in

%build
%autoreconf
%configure	--bindir=%_gamesbindir \
		--with-data-dir=%_gamesdatadir/%name \
		--datadir=%_gamesdatadir/%name \
		--with-gl-libs=/usr/X11R6/lib/ \
		--enable-flags="-DGLX_GLXEXT_PROTOTYPES" \
		--enable-release
%make_build
pushd vssetup/src
%make_build
popd

%install
%make_install DESTDIR=%buildroot install
install -m755 %SOURCE3 %buildroot%_gamesbindir/%name.sh

pushd vssetup/src
install -s -m755 vssetup %buildroot%_gamesbindir/
popd


install -d %buildroot%_man6dir
for i in *.6; do install -m644 $i -D %buildroot%_man6dir/$i; done

install -d %buildroot%_menudir
cat <<EOF > %buildroot%_menudir/%name
?package(%name):command="%_gamesbindir/%name.sh" \
		icon=%name.png \
		needs="x11" \
		section="Amusement/Arcade" \
		title="Vega Strike"\
		longtitle="3D space fight simulator"
EOF

install -m644 %SOURCE11 -D %buildroot%_miconsdir/%name.png
install -m644 %SOURCE12 -D %buildroot%_iconsdir/%name.png
install -m644 %SOURCE13 -D %buildroot%_liconsdir/%name.png

install -d %buildroot%_gamesdatadir/%name/
install -d %buildroot%_docdir/%name/
install -m644 README -D %buildroot%_docdir/%name/README

%post
%update_menus

%postun
%clean_menus

%files
%_gamesbindir/*
%_docdir/%name
%_iconsdir/%name.png
%_liconsdir/%name.png
%_miconsdir/%name.png
%_menudir/%name
%_man6dir/*
%_gamesdatadir/%name

%changelog
* Fri Mar 21 2008 Egor Vyscrebentsov <evyscr@altlinux.ru> 0.4.3-alt6
- fixed build with autoconf 2.61
- fixed build with python 2.5 on x86_64

* Thu Aug 23 2007 Egor Vyscrebentsov <evyscr@altlinux.ru> 0.4.3-alt5
- fixed x86_64 compiling

* Wed Aug 01 2007 Egor Vyscrebentsov <evyscr@altlinux.ru> 0.4.3-alt4
- added workaround for libpython on x86_64
- returned provides of /usr/games/vssetup

* Mon Jul 30 2007 Egor Vyscrebentsov <evyscr@altlinux.ru> 0.4.3-alt3
- resurrected from orphaned
- new packager
- fixed built with gcc 4.1
- fixed objconv packaging
- spec cleanup
  + used %%__autoreconf
  + used %%make_install instead of %%makeinstall
- docdir is not versioned
- updated buildrequires

* Mon Jan 23 2006 Igor Zubkov <icesik@altlinux.ru> 0.4.3-alt2
- fix build by disable openal support
- add patch for x86_64
- update buildrequires

* Thu Apr 14 2005 Valery Inozemtsev <shrek@altlinux.ru> 0.4.3-alt1
- 0.4.3

* Tue Jul 06 2004 Anton Farygin <rider@altlinux.ru> 0.4.1-alt1
- build for Sisyphus (based on MDK specfile)
